<?php
// Do not allow direct access to the file.
if(  ! defined( 'ABSPATH' ) ) {
    exit;
}
/**
 * Theme Customizer
 *
 */
add_action( 'customize_register', 'hot_press__customize_register' );
function hot_press__customize_register( $wp_customize ) {
	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	if ( isset( $wp_customize->selective_refresh ) ) {
		$wp_customize->selective_refresh->add_partial( 'blogname', array(
			'selector'        => '.site-title a',
			'render_callback' => 'hot_press__customize_partial_blogname',
		) );
		$wp_customize->selective_refresh->add_partial( 'blogdescription', array(
			'selector'        => '.site-description',
			'render_callback' => 'hot_press__customize_partial_blogdescription',
		) );
	}
  	    $wp_customize->add_setting( 'background_color', array (
			'sanitize_callback' => 'sanitize_text_field',
		) );
 		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'background_color', array(
			'label'    => __( 'Background Color ', 'hot-press' ),
			'section'  => 'hot-press',
			'settings' => 'background_color',
		) ) );
/**
 * Sanitize Functions
 */
	function hot_press__sanitize_checkbox( $input ) {
		if ( $input ) {
			return 1;
		}
		return 0;
	}
	function hot_press__header_sanitize_position( $input ) {
		$valid = array(
			'center' => esc_attr__( 'center center', 'hot-press' ),
			'real' => esc_attr__( 'Real Size (Deactivate the image height.)', 'hot-press' ),
		);
		if ( array_key_exists( $input, $valid ) ) {
			return $input;
		} else {
			return '';
		}
	}
	function hot_press__header_sanitize_show( $input ) {
		$valid = array(
				'all' => esc_attr__( 'All Pages', 'hot-press' ),
				'home' => esc_attr__( 'Home Page', 'hot-press' ),
		);
		if ( array_key_exists( $input, $valid ) ) {
			return $input;
		} else {
			return '';
		}
	}	
/**
 * Header Image
 */	
   	    $wp_customize->add_setting( 'body_background', array (
			'sanitize_callback' => 'sanitize_hex_color',
		) );
 		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'body_background', array(
			'label'    => __( 'Body Background Color', 'hot-press' ),
			'priority' => 14,
			'section'  => 'colors',
			'settings' => 'body_background',
		) ) );
 		$wp_customize->add_setting( 'header_image_show', array (
			'sanitize_callback' => 'hot_press__header_sanitize_show',
		) );
		$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'header_image_show', array(
			'label'    => __( 'Activate Header Image', 'hot-press' ),
			'section'  => 'header_image',		
			'settings' => 'header_image_show',
			'type'     =>  'select',
			'priority'    => 1,			
            'choices'  => array(
				'all' => esc_attr__( 'All Pages', 'hot-press' ),
				'home' => esc_attr__( 'Home Page', 'hot-press' ),
            ),
			'default'  => 'all'	
		) ) );
		$wp_customize->add_setting( 'header_image_height', array (
			'sanitize_callback' => 'absint',
		) );
		$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'header_image_height', array(
			'section'  => 'header_image',
			'priority'    => 1,
			'settings' => 'header_image_height',
			'label'       => __( 'Image Height', 'hot-press' ),			
			'type'     =>  'number',
			'input_attrs'     => array(
				'min'  => 350,
				'max'  => 1000,
				'step' => 1,
			),
		) ) );
		$wp_customize->add_setting( 'header_image_position', array (
			'sanitize_callback' => 'hot_press__header_sanitize_position',
		) );
		$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'header_image_position', array(
			'label'    => __( 'Image Position', 'hot-press' ),
			'section'  => 'header_image',		
			'settings' => 'header_image_position',
			'type'     =>  'select',
			'priority'    => 2,			
            'choices'  => array(
				'center' => esc_attr__( 'Background Cover (center center)', 'hot-press' ),
				'real' => esc_attr__( 'Real Size (Deactivate the image height.)', 'hot-press' ),
            ),
			'default'  => 'real'	
		) ) );
		$wp_customize->add_setting( 'hot_press__header_shadow', array (
            'default' => '',		
			'sanitize_callback' => 'hot_press__sanitize_checkbox',
		) );
		$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'hot_press__header_shadow', array(
			'label'    => __( 'Activate Image Shadow:', 'hot-press' ),
			'section'  => 'header_image',
			'priority'    => 3,				
			'settings' => 'hot_press__header_shadow',
			'type' => 'checkbox',
		) ) );	
		$wp_customize->add_setting( 'hot_press_header_squares', array (
            'default' => '',		
			'sanitize_callback' => 'hot_press__sanitize_checkbox',
		) );
		$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'hot_press_header_squares', array(
			'label'    => __( 'Deactivate shadow of squares:', 'hot-press' ),
			'section'  => 'header_image',
			'priority'    => 3,				
			'settings' => 'hot_press_header_squares',
			'type' => 'checkbox',
		) ) );

		$wp_customize->selective_refresh->add_partial( 'description_1', array(
			'selector' => '.des_1',
			'render_callback' => 'hot_press_customize_partial_hot_press_description_1',
	    ) );	

		$wp_customize->selective_refresh->add_partial( 'description_2', array(
			'selector' => '.des_2',
			'render_callback' => 'hot_press_customize_partial_hot_press_description_2',
	    ) );	
		
		$wp_customize->selective_refresh->add_partial( 'description_3', array(
			'selector' => '.des_3',
			'render_callback' => 'hot_press_customize_partial_hot_press_description_3',
	    ) );	
		
		$wp_customize->add_setting( 'description_1', array (
            'default' => '',		
			'sanitize_callback' => 'wp_kses_post',
		) );
		$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'description_1', array(
		'label'    => __( 'Header Description 1', 'hot-press' ),
			'section'  => 'title_tagline',
			'priority'    => 11,				
			'settings' => 'description_1',
			'type' => 'text',
		) ) );
		
		$wp_customize->add_setting( 'description_2', array (
            'default' => '',		
			'sanitize_callback' => 'wp_kses_post',
		) );
		$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'description_2', array(
			'label'    => __( 'Header Description 2', 'hot-press' ),
			'section'  => 'title_tagline',
			'priority'    => 11,				
			'settings' => 'description_2',
			'type' => 'text',
		) ) );
		
		$wp_customize->add_setting( 'description_3', array (
            'default' => '',		
			'sanitize_callback' => 'wp_kses_post',
		) );
		$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'description_3', array(
			'label'    => __( 'Header Description 3', 'hot-press' ),
			'section'  => 'title_tagline',
			'priority'    => 11,				
			'settings' => 'description_3',
			'type' => 'text',
		) ) );	
		
   	    $wp_customize->add_setting( 'icon_colors', array (
			'sanitize_callback' => 'sanitize_hex_color',
		) );
 		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'icon_colors', array(
			'label'    => __( 'Yes Icons Color', 'hot-press' ),
			'priority' => 14,
			'section'  => 'title_tagline',
			'settings' => 'icon_colors',
		) ) );
		
		$wp_customize->add_setting( 'deactivate_yes_icons', array (	
			'sanitize_callback' => 'hot_press__sanitize_checkbox',
		) );
		$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'deactivate_yes_icons', array(
			'label'    => __( 'Disable Yes Icons', 'hot-press' ),
			'section'  => 'title_tagline',
			'priority'    => 14,				
			'settings' => 'deactivate_yes_icons',
			'type' => 'checkbox',
		) ) );			
}
/**
 * Custom Font Size Styles
 */ 	
add_action( 'wp_enqueue_scripts', 'hot_press__header_position' );	
function hot_press__header_position() {
        $header_image_height = esc_attr(get_theme_mod( 'header_image_height' ) );
        $header_image_position = esc_attr(get_theme_mod( 'header_image_position' ) );
        $hot_press_parralax = esc_attr(get_theme_mod( 'hot_press_parralax' ) );
        $hot_press_header_squares = esc_attr(get_theme_mod( 'hot_press_header_squares' ) );
		
		if( $hot_press_parralax ) { $parralax_style = ".header-image {background-attachment: inherit;}";} else {$parralax_style ="";}
		if( $hot_press_header_squares ) { $square_style = ".dotted {background-image: none;}";} else {$square_style ="";}
		if( $header_image_height and $header_image_position != 'real' ) { $header_height = ".header-image {height: {$header_image_height}px !important;}";} else {$header_height ="";}
		if( $header_image_position == 'center' ) { $header_position = ".header-image {background-position: center center !important;}";} else {$header_position ="";}
		if( $header_image_position == '50' ) { $header_position = ".header-image {background-position: 50% 50% !important;}";} else {$header_position ="";}
		if( $header_image_position == 'real' ) { $header_position = ".header-image {background-position: no !important; height: auto;} .site-branding {display:block;}";} else {$header_position ="";}
        wp_add_inline_style( 'custom-style-css', 
		$header_height.$header_position.$square_style.$parralax_style
		);
}
/**
 * Render the site title for the selective refresh partial.
 */
function hot_press__customize_partial_blogname() {
	bloginfo( 'name' );
}
/**
 * Render the site tagline for the selective refresh partial.
 */
function hot_press__customize_partial_blogdescription() {
	bloginfo( 'description' );
}
/**
 * Custom Font Size Styles
 */ 	
function hot_press__customizing_styles() {
        $header_tagline_hide = esc_attr(get_theme_mod( 'header_tagline_hide' ) );
        $hot_press__top_menu_sub_font_size = esc_attr(get_theme_mod( 'hot_press__top_menu_sub_font_size' ) );
        $hot_press__top_menu_font_size = esc_attr(get_theme_mod( 'hot_press__top_menu_font_size' ) );
        $header_image_show = esc_attr(get_theme_mod( 'header_image_show' ) );
        $sidebar_position = esc_attr(get_theme_mod( 'sidebar_position' ) );
        $hot_press__menu_background_color = esc_attr(get_theme_mod( 'hot_press__menu_background_color' ) );
        $hot_press__menu_color = esc_attr(get_theme_mod( 'hot_press__menu_color' ) );
        $hot_press__menu_background_hover_color = esc_attr(get_theme_mod( 'hot_press__menu_background_hover_color' ) );
        $before_background_color = esc_attr(get_theme_mod( 'before_background_color' ) );
        $before_border_color = esc_attr(get_theme_mod( 'before_border_color' ) );
        $hot_press__link_color = esc_attr(get_theme_mod( 'hot_press__link_color' ) );
        $hot_press__link_hover_color = esc_attr(get_theme_mod( 'hot_press__link_hover_color' ) );
        $body_background = esc_attr(get_theme_mod( 'body_background' ) );
        $hot_press__header_shadow = esc_attr(get_theme_mod( 'hot_press__header_shadow' ) );
        $hot_press__header_search = esc_attr(get_theme_mod( 'hot_press__header_search' ) );
        $deactivate_yes_icons = esc_attr(get_theme_mod( 'deactivate_yes_icons' ) );		
        $icon_colors = esc_attr(get_theme_mod( 'icon_colors' ) );		
		
		
## Header Styles
		if( $deactivate_yes_icons) { $deactivate_yes = "body .header-desc .dashicons { display: none;}";} else {$deactivate_yes ="";}
		if( $icon_colors) { $icon_colors_style = ".header-desc .dashicons {color: {$icon_colors} !important;}";} else {$icon_colors_style ="";}			
		if( !$hot_press__header_shadow) { $style28 = ".s-shadow { background-color: inherit !important;}";} else {$style28 ="";}
		if( $hot_press__header_search) { $search_hide = ".s-search-top-mobile { display: none !important;}";} else {$search_hide ="";}
		if( $header_tagline_hide) { $style9 = ".site-branding .site-description {display: none !important;}";} else {$style9 ="";}
		if( $hot_press__top_menu_sub_font_size) { $style10 = ".main-navigation ul ul li a {font-size: {$hot_press__top_menu_sub_font_size}px !important;}";} else {$style10 ="";}
		if( $hot_press__top_menu_font_size) { $style29 = ".main-navigation ul li a {font-size: {$hot_press__top_menu_font_size}px !important;}";} else {$style29 ="";}
		if( $before_background_color) { $style17 = ".before-header {background: {$before_background_color} !important;}";} else {$style17 ="";}
		if( $before_border_color) { $style19 = ".before-header {border-bottom: 1px solid {$before_border_color} !important;}";} else {$style19 ="";}
		if( ((!is_front_page() or !is_home() ) and (!has_post_thumbnail() or !get_post_meta( get_the_ID(), 'hot_press__value_header_image', true ) ) ) and $header_image_show == 'home' ) { $style11 = ".all-header{display: none !important;} .site-header {overflow: visible;}";} else {$style11 ="";}
		if( ((is_front_page() and !is_home() ) and (!has_post_thumbnail() or !get_post_meta( get_the_ID(), 'hot_press__value_header_image', true ) ) )and $header_image_show == 'home' ) { $style27 = " body .all-header{display: block !important;} body .site-header {overflow: hidden;}";} else {$style27 ="";}
		if (!has_header_image() ) { $style14 = ".site-branding, .all-header {display: none !important;} .grid-top { position: relative;} .site-header{overflow: inherit;}";} else {$style14 ="";}
		if( $body_background) { $body_background = "body {background: {$body_background} !important;}";} else {$body_background ="";}			
## Sidebar Styles
		if( $sidebar_position == 'no' ) { $style12 = "#content #secondary {display: none !important;}";} else {$style12 ="";}
## Menu Styles		
		if( $hot_press__menu_background_color) { $style15 = ".grid-top, .main-navigation ul ul, .slicknav_menu {background: {$hot_press__menu_background_color} !important; box-shadow: none !important;}";} else {$style15 ="";}
		if( $hot_press__menu_color) { $style16 = ".main-navigation ul li a, .main-navigation ul ul li a, .main-navigation ul ul li a:hover, .main-navigation ul ul li > a:after, .main-navigation ul ul ul li > a:after, .slicknav_nav a {color: {$hot_press__menu_color} !important; }";} else {$style16 ="";}
		if( $hot_press__menu_background_hover_color) { $style18 = ".main-navigation ul li a:hover, .slicknav_nav a:hover {background: {$hot_press__menu_background_hover_color} !important; box-shadow: none !important;}";} else {$style18 ="";}
## Colors Styles
		if( $hot_press__link_color) { $style22 = "a {color: {$hot_press__link_color};}";} else {$style22 ="";}
		if( $hot_press__link_hover_color ) { $style23 = "a:hover {color: {$hot_press__link_hover_color};}";} else {$style23 ="";}
        wp_add_inline_style( 'custom-style-css', 
		$style9.$style10.$style11.$style12.$style14.$style15.$style16.$style17.$style18.$style19.$style22.$style23.$style27.$style28.$style29.$body_background.$search_hide.$deactivate_yes.$icon_colors_style
		);
}
add_action( 'wp_enqueue_scripts', 'hot_press__customizing_styles' );