<?php if( ! defined( 'ABSPATH' ) ) exit;
function hot_press_customize_register_header_buttons( $wp_customize ) {

		$wp_customize->selective_refresh->add_partial( 'button_1', array(
			'selector' => '.h-button-1 ',
			'render_callback' => 'hot_press_customize_partial_button_1',
		) );	
		
		$wp_customize->selective_refresh->add_partial( 'button_2', array(
			'selector' => '.h-button-2 ',
			'render_callback' => 'hot_press_customize_partial_button_2',
		) );	
		
		
		$wp_customize->add_section( 'seos_header_buttons_section' , array(
			'title'       => __( 'Header Buttons', 'hot-press' ),
			'priority'    => 2,	
			//'description' => __( 'Social media buttons', 'seos-white' ),
		) );
		
		$wp_customize->add_setting( 'button_1', array (
            'default' => '',		
			'sanitize_callback' => 'sanitize_text_field',
		) );
		$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'button_1', array(
			'label'    => __( 'Button 1 Text', 'hot-press' ),
			'description'    => __( 'The button will be activated if you insert text', 'hot-press' ),			
			'section'  => 'seos_header_buttons_section',			
			'settings' => 'button_1',
			'type' => 'text',
		) ) );
		
		$wp_customize->add_setting( 'button_1_link', array (
			'sanitize_callback' => 'esc_url_raw',
		) );
		
		$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'button_1_link', array(
			'label'    => __( 'Button 1 URL', 'hot-press' ),		
			'section'  => 'seos_header_buttons_section',
			'settings' => 'button_1_link',
		) ) );

/************************************
* Animation Articles
************************************/

		$wp_customize->add_setting( 'hot_press_button_1_animation', array (
			'sanitize_callback' => 'hot_press_sanitize_menu_animations',
		) );
		$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'hot_press_button_1_animation', array(
			'label'    => __( 'Button 1 Animation', 'hot-press' ),
			'section'  => 'seos_header_buttons_section',
			'settings' => 'hot_press_button_1_animation',
			'type'     =>  'select',
            'choices'  => hot_press_animations_menu(),		
		) ) );		

		$wp_customize->add_setting( 'button_2', array (
            'default' => '',		
			'sanitize_callback' => 'sanitize_text_field',
		) );
		$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'button_2', array(
			'label'    => __( 'Button 2 Text', 'hot-press' ),
			'description'    => __( 'The button will be activated if you insert text', 'hot-press' ),			
			'section'  => 'seos_header_buttons_section',			
			'settings' => 'button_2',
			'type' => 'text',
		) ) );
		
		$wp_customize->add_setting( 'button_2_link', array (
			'sanitize_callback' => 'esc_url_raw',
		) );
		
		$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'button_2_link', array(
			'label'    => __( 'Button 2 URL', 'hot-press' ),		
			'section'  => 'seos_header_buttons_section',
			'settings' => 'button_2_link',
		) ) );
		
		$wp_customize->add_setting( 'hot_press_button_2_animation', array (
			'sanitize_callback' => 'hot_press_sanitize_menu_animations',
		) );
		$wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'hot_press_button_2_animation', array(
			'label'    => __( 'Button 2 Animation', 'hot-press' ),
			'section'  => 'seos_header_buttons_section',
			'settings' => 'hot_press_button_2_animation',
			'type'     =>  'select',
            'choices'  => hot_press_animations_menu(),		
		) ) );					
}
add_action( 'customize_register', 'hot_press_customize_register_header_buttons' );



function hot_press_buttons () {
	$button1 =  get_theme_mod( 'button_1' );
	$button2 = get_theme_mod( 'button_2' );
	$button_1_link = get_theme_mod( 'button_1_link' );
	$button_2_link = get_theme_mod( 'button_2_link' );
	$button_1_animation = get_theme_mod( 'hot_press_button_1_animation' );
	$button_2_animation = get_theme_mod( 'hot_press_button_2_animation' );

	?>
	<?php if($button1) { ?>	
	<div class='h-button-1 animated <?php if($button_1_animation) { echo esc_html( $button_1_animation ); } else { echo "fadeInLeft"; } ?>'>	
		<a href='<?php echo esc_url( $button_1_link ); ?>'><?php echo esc_html( $button1 ); ?></a>
	</div>
	<?php } ?>
	<?php if($button2) { ?>	
	<div class='h-button-2 animated <?php if($button_2_animation) { echo esc_html( $button_2_animation ); } else { echo "fadeInRight"; } ?>'>	
		<a href='<?php echo esc_url( $button_2_link ); ?>'><?php echo esc_html( $button2 ); ?></a>	
	</div>
	<?php } ?>
<?php
}
add_action('hot_press_buttons_header', 'hot_press_buttons');

	//Menu Animations
function hot_press_animations_menu(){
	$array = array(
				'none' => esc_attr__( 'Deactivate Animation', 'hot-press' ),
				'fadeInUp' => esc_attr__( 'Default', 'hot-press' ),				
				'fadeIn' => esc_attr__( 'fadeIn', 'hot-press' ),		
				'bounce' => esc_attr__( 'bounce', 'hot-press' ),
				'bounceIn' => esc_attr__( 'bounceIn', 'hot-press' ),
				'bounceInDown' => esc_attr__( 'bounceInDown', 'hot-press' ),
				'bounceInLeft' => esc_attr__( 'bounceInLeft', 'hot-press' ),
				'bounceInRight' => esc_attr__( 'bounceInRight', 'hot-press' ),
				'bounceInUp' => esc_attr__( 'bounceInUp', 'hot-press' ),
				'fadeInDownBig' => esc_attr__( 'fadeInDownBig', 'hot-press' ),
				'fadeInLeft' => esc_attr__( 'fadeInLeft', 'hot-press' ),
				'fadeInLeftBig' => esc_attr__( 'fadeInLeftBig', 'hot-press' ),
				'fadeInRight' => esc_attr__( 'fadeInRight', 'hot-press' ),
				'fadeInRightBig' => esc_attr__( 'fadeInRightBig', 'hot-press' ),
				'fadeInUp' => esc_attr__( 'fadeInUp', 'hot-press' ),
				'fadeInUpBig' => esc_attr__( 'fadeInUpBig', 'hot-press' ),
				'flash' => esc_attr__( 'flash', 'hot-press' ),
				'lightSpeedIn' => esc_attr__( 'lightSpeedIn', 'hot-press' ),
				'pulse' => esc_attr__( 'pulse', 'hot-press' ),
				'rollIn' => esc_attr__( 'rollIn', 'hot-press' ),
				'rotateIn' => esc_attr__( 'rotateIn', 'hot-press' ),
				'rotateInDownLeft' => esc_attr__( 'rotateInDownLeft', 'hot-press' ),
				'rotateInDownRight' => esc_attr__( 'rotateInDownRight', 'hot-press' ),
				'rotateInUpLeft' => esc_attr__( 'rotateInUpLeft', 'hot-press' ),
				'rotateInUpRight' => esc_attr__( 'rotateInUpRight', 'hot-press' ),
				'shake' => esc_attr__( 'shake', 'hot-press' ),
				'slideInDown' => esc_attr__( 'slideInDown', 'hot-press' ),
				'slideInLeft' => esc_attr__( 'slideInLeft', 'hot-press' ),
				'slideInRight' => esc_attr__( 'slideInRight', 'hot-press' ),
				'slideInUp' => esc_attr__( 'slideInUp', 'hot-press' ),
				'swing' => esc_attr__( 'swing', 'hot-press' ),
				'tada' => esc_attr__( 'tada', 'hot-press' ),
				'wobble' => esc_attr__( 'wobble', 'hot-press' ),
				'zoomInDown' => esc_attr__( 'zoomInDown', 'hot-press' ),
				'zoomInLeft' => esc_attr__( 'zoomInLeft', 'hot-press' ),
				'zoomInRight' => esc_attr__( 'zoomInRight', 'hot-press' ),
				'zoomInUp' => esc_attr__( 'zoomInUp', 'hot-press' ),
				);
	return $array;
}
		function hot_press_sanitize_menu_animations( $input ) {
			$valid = hot_press_animations_menu();
			if ( array_key_exists( $input, $valid ) ) {
				return $input;
			} else {
				return '';
			}
		}