<?php
// Do not allow direct access to the file.
if( ! defined( 'ABSPATH' ) ) {
    exit;
}
	
function hot_press__header () {
?>
<header class="site-header" itemscope="itemscope" itemtype="http://schema.org/WPHeader">
	<?php if( !get_theme_mod( 'hide_menu' ) ) { ?>
	<div class="grid-menu">
		<div id="grid-top" class="grid-top">
			<!-- Site Navigation  -->
				<div class="header-right" itemprop="logo" itemscope="itemscope" itemtype="http://schema.org/Brand">
						<?php the_custom_logo(); ?>
				</div>	
			<button id="s-button-menu" class="menu-toggle" aria-controls="primary-menu" aria-expanded="false"><img alt="mobile" src="<?php echo esc_url(get_template_directory_uri() ) . '/images/mobile.jpg'; ?>"/></button>
			<div class="mobile-cont">
				<div class="mobile-logo" itemprop="logo" itemscope="itemscope" itemtype="http://schema.org/Brand">
						<?php the_custom_logo(); ?>
				</div>
			</div>

			<nav id="site-navigation" class="main-navigation">

				<button class="menu-toggle"><?php esc_html_e( 'Menu', 'hot-press' ); ?></button>
				<?php wp_nav_menu( array( 
				'theme_location' => 'primary',
				'menu_id' => 'primary-menu'	
				) ); ?>
			</nav><!-- #site-navigation -->
			
		</div>
	</div>
	<?php } ?>
	<!-- Header Image  -->
	<div class="all-header">
	    <div class="s-shadow"></div>
	    <div class="dotted"></div>
	    <div class="s-hidden">
			<?php if (get_theme_mod( 'header_image_position' ) == 'default' ) { ?>
			<img id="masthead" class="header-image" src='<?php echo esc_url(get_template_directory_uri() ) . '/images/header.webp'; ?>' alt="<?php esc_attr_e( 'header image','hot-press' ); ?>"/>	
			<?php } ?>
			<?php if (get_theme_mod( 'header_image_position' ) == 'real' ) { ?>
			<img id="masthead" class="header-image" src='<?php if ( !is_home() and has_post_thumbnail() and get_post_meta( get_the_ID(), 'hot_press__value_header_image', true ) ) { the_post_thumbnail_url(); } else { header_image(); } ?>' alt="<?php esc_attr_e( 'header image','hot-press' ); ?>"/>	
			<?php } else { ?>
			<div id="masthead" class="header-image" style="background-image: url( '<?php if (  !is_home() and has_post_thumbnail() and get_post_meta( get_the_ID(), 'hot_press__value_header_image', true ) ) { the_post_thumbnail_url(); } else { header_image(); } ?>' );"></div>
			<?php } ?>
		</div>
		<div class="site-branding">
		<?php if ( display_header_text() == true ) { ?>
			<?php
			
			
			if ( is_front_page() && is_home() ) :
				?>
					<h1 id="site-title" <?php echo wp_kses_post(hot_press__animation( "animation_site_title" )); ?> class="site-title" itemscope itemtype="http://schema.org/Brand"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><span class="ml2"><?php bloginfo( 'name' ); ?></span></a></h1>
					<?php
				else :
					?>
					<p id="site-title" <?php echo wp_kses_post(hot_press__animation( "animation_site_title" )); ?> class="site-title" itemscope itemtype="http://schema.org/Brand"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><span class="ml2"><?php bloginfo( 'name' ); ?></span></a></p>
					<?php
				endif;
				$hot_press__description = esc_html(get_bloginfo( 'description', 'display' ) );
				if ( $hot_press__description || is_customize_preview() ) :
					?>    
					<p class="site-description" itemprop="headline">
						<span class="word"><?php echo esc_html($hot_press__description); ?></span>
					</p>
				<?php endif; ?>	
		<?php }
		
		$header_description1 = wp_kses_post( get_theme_mod( 'description_1' ) );
		$header_description2 = wp_kses_post( get_theme_mod( 'description_2' ) );
		$header_description3 = wp_kses_post( get_theme_mod( 'description_3' ) );
		
		?>
		<?php if( $header_description1 ) { ?>
		  <p class="header-desc des_1"><span class="dashicons dashicons-yes"></span> <?php echo $header_description1; ?></p>
		<?php } ?>
		<?php if( $header_description2 ) { ?>
		  <p class="header-desc des_2"><span class="dashicons dashicons-yes"></span> <?php echo $header_description2; ?></p>
		<?php } ?>
		<?php if( $header_description3 ) { ?>
		  <p class="header-desc des_3"><span class="dashicons dashicons-yes"></span> <?php echo $header_description3; ?></p>
		<?php } ?>		
		<?php do_action('hot_press_buttons_header'); ?>	
		</div>
		<!-- .site-branding -->
	</div>
</header>
<?php }